Method: advertisers.campaigns.create
Stay organized with collections
Save and categorize content based on your preferences.
Page Summary
This document outlines how to create a new campaign using a POST request to the specified URL, requiring the campaign's advertiser ID as a path parameter.
The request body needs to contain an instance of a Campaign object.
A successful response will return a newly created Campaign object in the response body.
Authorization requires one of two specific OAuth scopes.
[[["Easy to understand","easyToUnderstand","thumb-up"],["Solved my problem","solvedMyProblem","thumb-up"],["Other","otherUp","thumb-up"]],[["Missing the information I need","missingTheInformationINeed","thumb-down"],["Too complicated / too many steps","tooComplicatedTooManySteps","thumb-down"],["Out of date","outOfDate","thumb-down"],["Samples / code issue","samplesCodeIssue","thumb-down"],["Other","otherDown","thumb-down"]],["Last updated 2024-09-18 UTC."],[],["A new campaign is created using a `POST` request to `https://displayvideo.googleapis.com/v1beta2/advertisers/{campaign.advertiserId}/campaigns`. The `campaign.advertiserId` parameter, a unique identifier, is required in the path. The request body must include a `Campaign` instance, while a successful response returns a newly created `Campaign` instance. Authorization requires either the `display-video` or `display-video-mediaplanning` OAuth scope.\n"]]